package com.rugvedsarika.privatelog

import android.app.Application
import com.rugvedsarika.privatelog.data.database.AppDatabase
import com.rugvedsarika.privatelog.data.repository.NoteRepository

class PrivateLogApp : Application() {
    val database by lazy { AppDatabase.getDatabase(this) }
    val repository by lazy { NoteRepository(database.noteDao()) }
}
